CREATE TABLE `basic_field` (
     `id` BIGINT(20) NOT NULL COMMENT '主键',
     `school_id` BIGINT(20) NOT NULL COMMENT '学校ID',
     `code` VARCHAR(45) NOT NULL COMMENT '字段代码',
     `name` VARCHAR(45) NOT NULL COMMENT '字段名称',
     `enable` TINYINT(1) NOT NULL COMMENT '是否选中',
     `disable` TINYINT(1) NOT NULL COMMENT '是否禁用',
     `basic_field` TINYINT(1) NOT NULL COMMENT '是否基础字段',
     `create_id` BIGINT(20) NULL,
     `create_time` BIGINT(20) NULL,
     `update_id` BIGINT(20) NULL,
     `update_time` BIGINT(20) NULL,
     PRIMARY KEY (`id`))
    COMMENT = '字段管理表';

ALTER TABLE `t_b_task` CHANGE COLUMN `org_id` `exam_id` BIGINT NULL DEFAULT NULL COMMENT '考试ID' ;
ALTER TABLE `exam_student` ADD COLUMN `extend_fields` MEDIUMTEXT NULL COMMENT '扩展字段' AFTER `remark`;
ALTER TABLE `t_b_task` CHANGE COLUMN `txt_file_path` `error_file_path` VARCHAR(500) CHARACTER SET 'utf8mb4' NULL DEFAULT NULL COMMENT '错误文件路径' ;

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('273', '字段管理', 'FieldManage', 'MENU', '8', '2', '1', '0', '1');
UPDATE `sys_privilege` SET `sequence` = '4' WHERE (`id` = '510');
UPDATE `sys_privilege` SET `sequence` = '5' WHERE (`id` = '9');
UPDATE `sys_privilege` SET `sequence` = '6' WHERE (`id` = '20');
UPDATE `sys_privilege` SET `sequence` = '10' WHERE (`id` = '549');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('274', '查询', '/api/admin/basic/field/list', 'URL', '273', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('275', '保存', '/api/admin/basic/field/save', 'URL', '273', '2', 'AUTH', '1', '1', '1');
UPDATE `sys_privilege` SET `related` = '274,275' WHERE (`id` = '273');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('33', '模板下载', '/api/admin/exam/student/download_template', 'URL', '20', '5', 'AUTH', '1', '1', '1');
UPDATE `sys_privilege` SET `related` = '32,33' WHERE (`id` = '26');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('276', '其他文件类型管理', 'FiletypeMange', 'MENU', '8', '3', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('277', '新建', 'Add', 'BUTTON', '276', '1', 'AUTH', '281', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('278', '删除', 'Delete', 'LINK', '276', '2', 'AUTH', '282', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('279', '列表', 'List', 'LIST', '276', '3', 'AUTH', '280', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('280', '查询', '/api/admin/basic/filetype/page', 'URL', '276', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('281', '新增', '/api/admin/basic/filetype/save', 'URL', '276', '2', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('282', '删除', '/api/admin/basic/filetype/delete', 'URL', '276', '3', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('283', '查询列表', '/api/admin/basic/filetype/list', 'URL', '276', '4', 'AUTH', '1', '1', '1');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('284', '扫描统计管理', 'ScanStatManage', 'MENU', '8', '7', 'AUTH', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('285', '列表', 'List', 'LIST', '284', '1', 'AUTH', '289', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('286', '查询条件', 'Condition', 'CONDITION', '284', '2', 'AUTH', '289', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('287', '查询', 'Select', 'BUTTON', '284', '3', 'AUTH', '289', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('288', '导出', 'Export', 'BUTTON', '284', '4', 'AUTH', '290', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('289', '查询', '/api/admin/basic/scan/stat/page', 'URL', '284', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('290', '导出', '/api/admin/basic/scan/stat/export', 'URL', '284', '2', 'AUTH', '1', '1', '1');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('300', '图片管理', 'PaperPictureManage', 'MENU', '18', '2', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('301', '查询条件', 'Condition', 'CONDITION', '300', '1', 'AUTH', '306', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('302', '列表', 'List', 'LIST', '300', '2', 'AUTH', '306', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('303', '查询', 'Select', 'BUTTON', '300', '3', 'AUTH', '306', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('304', '下载图片', 'DownloadPicture', 'BUTTON', '300', '4', 'AUTH', '307', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('305', '图片详情', 'PictureDetail', 'LINK', '300', '5', 'AUTH', '308,309', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('306', '查询', '/api/admin/paper/picture/page', 'URL', '300', '1', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('307', '下载图片', '/api/admin/paper/picture/download', 'URL', '300', '2', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('308', '查看考生图片', '/api/admin/paper/picture/list_student_picture', 'URL', '300', '3', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('309', '保存考生图片', '/api/admin/paper/picture/save', 'URL', '300', '4', 'AUTH', '1', '1', '1');

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('205', '根据考号获取考生信息', '/api/admin/client/student/get', 'URL', '200', '5', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `enable`, `default_auth`, `front_display`) VALUES ('206', '获取考生/班级', '/api/admin/client/classroom/get', 'URL', '200', '6', '1', '1', '1');
UPDATE `sys_privilege` SET `related` = '30,202,203,204,205,206,281,283' WHERE (`id` = '200');
